---
Title: Configure OpenVPN
---

Some devices will let you upload and import a VPN configuration; the "Other / GNU/Linux" configuration option is made to be compatible.

For most other devices and client applications, including most routers supporting OpenVPN, you will need to fill in a few parameters as described below:

<table class="admin-list">
    <thead><tr><td>Option</td><td>Value</td></tr></thead>
    <tr>
        <td>CA Certificate</td>
        <td>The file available on <a href="https://vpn.ccrypto.org/ca.crt">vpn.ccrypto.org/ca.crt</a></td>
    </tr>
    <tr>
        <td>Client / Server certificates</td>
        <td>None</td>
    </tr>
    <tr>
        <td>Username / Password</td>
        <td>The same as used to log in on this website</td>
    </tr>
    <tr>
        <td>Host or Gateway</td>
        <td><code>fr.204vpn.net</code>, or any host in our <a href="/status">server list</a></td>
    </tr>
    <tr>
        <td>Port / Protocol</td>
        <td>1196 in UDP mode (or 443 in TCP mode; prefer UDP unless blocked)</td>
    </tr>
    <tr>
        <td>Interface Type</td>
        <td><code>tun</code></td>
    </tr>
    <tr>
        <td>LZO Compression</td>
        <td>Enabled</td>
    </tr>
    <tr>
        <td>Cipher / HMAC</td>
        <td><code>BF-CBC</code> and <code>SHA1</code> by default, renegociable with a recent OpenVPN version</td>
    </tr>
    <tr>
        <td>DNS Server</td>
        <td><code>10.99.0.20</code></td>
    </tr>
</table>

